function ssw_findstuff_bloborder, inblob, rinfo, $
   rstart=rstart, rkeep=rkeep, rlimit=rlimit, $
   _extra=_extra
;+
;   Name: ssw_findstuff_bloborder
;
;   Purpose: reorder regions and stuff into output blob image
;
;   Input Parameters:
;      inblob - blob colored image
;      rinfo (input/output) - region info structure
;
;   Output:
;      function returns reordered blob colored image
;      	
;   Keyword Parameters:
;      rstart - 1st value to use (useful if more than one "type" of
;               region is stored in iteritative calls)
;      rkeep  - number of regions to keep
;      _extra - sort criteria per ssw_limbsort (default=area)
;
;   History:
;      25-July-2000 - S.L.Freeland - for region dbase use
; 
;   Side Effects:
;      rinfo.region may be changed
;
case 1 of 
   data_chk(_extra,/struct): ostring='order=ssw_limbsort(rinfo,_extra=_extra')
   else: ostring='order=ssw_limbsort(rinfo,/area)
endcase

if not data_chk(rinfo,/struct) then begin 
   box_message,[
endif

