pro limb_flares_topn, nf , initialize=initialize, nocopy_files=nocopy_files
;

common sxt_flarepos_cat_blk , fpcat
copy_files = 1-keyword_set(nocopy_files)

initcat=keyword_set(initialize) or n_elements(fpcat) eq 0
if initcat then begin 
   delvarx, fpcat
   read_genxcat,'1-jan-1991',reltime(/now), fpcat, topdir='/home/sswdb/ydb/sfpx'
endif
 
wwwlf=concat_dir('$path_http','limb_flares')

lfhtml=file_list(wwwlf,'sxtpos_????????_????.html')

break_file,lfhtml,ll,pp,ff,vv,ee
lftimes=file2time(ff,out='int')

sslf=tim2dset(fpcat ,lftimes, delta=dts)
imp=fpcat(sslf).hxt_impulsiveness(0)

order=reverse(sort(imp))

ifpcat=fpcat(sslf(order))
ffx='sxtpos_'+time2file(ifpcat)

okcrit=where(ifpcat.goeslev gt 'C1' and $
             ifpcat.goesdt lt 1000  and ifpcat.hxt_impulsiveness(0) gt 0,ecnt)


tab=[[str2html(str_replace(ffx(okcrit),'sxtpos_','sxtpos_imp_')+'.html')],$
     [string(ifpcat(okcrit).hxt_impulsiveness(0),format='(f5.1)')],$
     [ifpcat(okcrit).goeslev]]

sfiles=concat_dir(wwwlf,ffx(okcrit)+'.html')
impfiles=str_replace(sfiles,'sxtpos','sxtpos_imp')

if copy_files then begin
   box_message,'Copying html files for ' + strtrim(ecnt,2) + ' events'
   cpcmd='cp -p ' + sfiles + ' ' + impfiles
   for i=0,ecnt-1 do begin
      spawn,str2arr(cpcmd(i),' '),/noshell
   endfor
   box_message,'Adding linked list pointers'
stop,'links'
   html_linklist,impfiles
endif
help,ifpcat,/str

index=concat_dir(wwwlf,'index_impulse.html')
html_doc,index,/header
file_append,index,'<h2>SXT Flare Position Catalog Summaries</h2>'
file_append,index,['Sorted in order of decreasing <b>HXT Impulsiveness</b>, ',$
             'Low Energy Channel<p>','Additional search criteria included ',$
             'GOES ge C1 and solid match with a GOES event<p>',$
             '<em>Generated at ' + systime()]  
file_append,index,strtab2html(transpose(tab))
html_doc,index,/trailer



stop
return 
end 

