
function ssw_add_encflux, instructs, _extra=_extra, debug=debug

debug=keyword_set(debug)

case strlowcase(gt_tagval(instructs(0),/INSTRUME)) of
   'sxt': estring='eflux=sxt_encircled_flux(instructs(i),status=status,' + $
             'fdindex, fddata, _extra=_extra, occults=occults, degrees=degrees)
   else: begin 
      box_message,'Instrument not currently enabled, returning...'
   endcase
endcase

i=0 
estat=execute(estring)

newstruct=instructs

newstruct=add_tag(newstruct,total(fddata),'fdtotal')
newstruct=add_tag(newstruct,total(solar_mask(fdindex,fddata,/mask_data)), $
                            'fddisk')
newstruct=add_tag(newstruct,gt_tagval(fdindex,/WAVELNTH,missing=''),'fd_wave')
newstruct=add_tag(newstruct,gt_tagval(fdindex,/CDELT1,missing=0.0),'fd_cdelt')
newstruct=add_tag(newstruct,eflux*([1,-1])(occults),'enc_flux')
newstruct=add_tag(newstruct,fix(degrees),'edegrees')
newstruct=add_tag(newstruct,anytim(fdindex,/ecs,/trunc),'fdtime')
newstruct=add_tag(newstruct,ssw_deltat(instructs(0),ref=fdindex,/hour), $
                'fd_dthrs')
if debug then stop,'newstruct check'

for i=1,n_elements(newstruct)-1 do begin
   estat=execute(estring)
   if status then begin 
      newstruct(i).enc_flux=eflux
      newstruct(i).edegrees=fix(degrees)
      newstruct(i).fdtime=anytim(fdindex,/ecs,/trunc) 
      newstruct(i).fd_dthrs=ssw_deltat(newstruct(i),ref=fdindex,/hour)
      newstruct(i).fd_wave=gt_tagval(fdindex,/WAVELNTH,missing='')
      newstruct(i).fd_cdelt=gt_tagval(fdindex,/CDELT1,missing=0.0)
   endif else begin 
      box_message,'No SSC found...'
      newstruct(i).fd_wave='NONE'
   endelse
   if debug then stop, 'Done with structure ' + strtrim(i,2)
endfor

return, newstruct
end
